## cargo 0.20.0-2ubuntu3~16.04.1+8.0trisquel1

=== debian/changelog ===
cargo (0.20.0-2ubuntu3~16.04.1+8.0trisquel1) flidas; urgency=medium

  * Backported from http://ppa.launchpad.net/ubuntu-mozilla-
    security/ppa/ubuntu

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 17 Nov 2017 00:29:08 +0000

cargo (0.20.0-2ubuntu3~16.04.1) xenial; urgency=medium

  * Backport 0.20.0 to xenial

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Oct 2017 14:15:08 +0100

cargo (0.20.0-2ubuntu3) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
      than that found in Ubuntu. Do this in debian/ rather than just not
      omitting it from the tarball so that we can share Debian's tarball
      + add debian/libgit2
      + update debian/control
      + update debian/rules
      + update debian/copyright
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x yet
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Oct 2017 00:47:24 +0100

cargo (0.20.0-2) unstable; urgency=medium

  * Work around #865549, fixes FTBFS on ppc64el.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 15:47:55 +0200

cargo (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix cross-compiling declarations, Multi-Arch: foreign => allowed
  * Un-embed libgit2 0.25.1 again. (Closes: #860990)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Aug 2017 19:13:00 +0200

cargo (0.17.0-2) unstable; urgency=medium

  * Re-embed libgit2 0.25.1 due to the Debian testing freeze. It will be
    removed again after the freeze is over, when libgit2 0.25.1 can again
    enter Debian unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 May 2017 16:56:03 +0200

cargo (0.17.0-1) unstable; urgency=medium

  * Upload to unstable so we have something to build rustc 1.17.0 with.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 May 2017 11:24:08 +0200

cargo (0.17.0-1~exp3) experimental; urgency=medium

  * Add git to Build-Depends to fix FTBFS.
  * Mention cross-compiling in the previous changelog entry.

 -- Ximin Luo <infinity0@debian.org>  Tue, 02 May 2017 13:18:53 +0200

cargo (0.17.0-1~exp2) experimental; urgency=medium

  * Bring in some changes from Ubuntu.
    - Rename deps/ to vendor/ as that's what upstream uses, and update
      other files with the new paths too.
    - Remove cargo-vendor-unpack since we no longer need to postprocess
      cargo-vendor output in that way.
  * Document that bootstrap.py probably doesn't work now.
  * Include /usr/share/rustc/architecture.mk in d/rules instead of duplicating
    awkward arch-dependent Makefile snippets.
  * Don't embed libgit2, add a versioned B-D to libgit2-dev.
  * Add support for cross-compiling bootstrap.

 -- Ximin Luo <infinity0@debian.org>  Mon, 01 May 2017 20:49:45 +0200

cargo (0.17.0-1~exp1) experimental; urgency=medium

  * New upstream release. (Closes: #851089, #859312)

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Apr 2017 03:16:04 +0200

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>
Priority: extra
#  annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends: debhelper (>= 9.20141010),
               dpkg-dev (>= 1.17.14),
# TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
# the non-native lines can be deleted after all versions in unstable are M-A: allowed
               cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
               cargo    (>= 0.17.0) <!pkg.cargo.mkstage0>,
               rustc    (>= 1.16),
               libstd-rust-dev (>= 1.16),
               pkg-config,
               cmake,
               bash-completion,
               python3,
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libssh2-1-dev,
# Avoid a dependency on a libgit version that isn't in Ubuntu yet
#               libgit2-dev (>= 0.25.1.0),
               libhttp-parser-dev,
               libssl-dev,
               zlib1g-dev,
               git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.1),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}, libjs-jquery
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

# For cross-compiling; perhaps we should add this to dh-cargo or debcargo
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
export PKG_CONFIG_ALLOW_CROSS = 1
RUSTFLAGS += -C linker=$(DEB_HOST_GNU_TYPE)-gcc
# TODO: we cannot enable this until dh_shlibdeps works correctly; atm we get:
# dpkg-shlibdeps: warning: can't extract name and version from library name 'libstd-XXXXXXXX.so'
# and the resulting cargo.deb does not depend on the correct version of libstd-rust-1.XX
# We probably need to add override_dh_makeshlibs to d/rules of rustc
#RUSTFLAGS += -C prefer-dynamic

# Pass on dpkg-buildflags stuff
RUSTFLAGS += $(foreach flag,$(LDFLAGS),-C link-arg=$(flag))
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS RUSTFLAGS

CARGO = RUST_BACKTRACE=1 cargo
CARGOFLAGS = --release --target=$(DEB_HOST_RUST_TYPE) --verbose
# Cargo looks for config in and writes cache to $CARGO_HOME/
export CARGO_HOME = $(CURDIR)/debian/cargohome

# Work around #865549, needed when using older cargo that is affected by it.
# TODO: remove after cargo/unstable is a version that was compiled with rustc
# >= 1.18 where this bug was fixed in Debian (i.e. probably after 0.20).
ifeq (0,$(shell test $$(uname -s) = "Linux" -a $$(getconf PAGESIZE) -gt 4096; echo $$?))
  SYSTEM_WORKAROUNDS += ulimit -s $$(expr $$(getconf PAGESIZE) / 1024 '*' 256 + 8192);
endif

HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion

override_dh_auto_configure:
	cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
else
	ln -sf `which cargo` $(CURDIR)/cargo-stage0
endif
	debian/scripts/prune-checksums vendor/backtrace-sys-*/
	debian/scripts/prune-checksums vendor/libgit2-sys-*/
# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
	cp -a debian/libgit2 vendor/libgit2-sys-0.6.12/

override_dh_auto_build-arch:
	$(CARGO) build $(CARGOFLAGS)

override_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(CARGO) doc $(CARGOFLAGS)
	# Extra instructions from README.md, unfortunately not done by "cargo doc"
	sh src/ci/dox.sh
	# Post-processing for Debian
	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
endif

RUN_TESTS = \
	if $(1); then \
	  : ; \
	elif $(DEB_HOST_ARCH) != "s390x"; then \
	  false; \
	else \
	  echo "======================================================"; \
	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
	  echo "======================================================"; \
	fi

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS))
endif
endif

override_dh_auto_install:
	# We pick stuff directly from target/

override_dh_auto_clean:
	-mv $(CURDIR)/.Cargo.lock.orig $(CURDIR)/Cargo.lock
	$(CARGO) clean $(CARGOFLAGS)
	-$(RM) -r $(CURDIR)/target/ \
			$(CURDIR)/.cargo \
			$(CURDIR)/config.mk \
			$(CURDIR)/config.stamp \
			$(CURDIR)/Makefile \
			$(CURDIR)/cargo-stage0
# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
	-$(RM) -rf vendor/libgit2-sys-0.6.12/libgit2

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

CROSS_SBUILD = sbuild --profiles=nocheck \
	  --build-failed-commands '%SBUILD_SHELL' \
	  --host=$(DEB_HOST_ARCH) \
	  --no-arch-all $(EXTRA_SBUILD_FLAGS)

SBUILD_REPO_EXPERIMENTAL = --extra-repository="deb http://httpredir.debian.org/debian experimental main"

# Sometimes this is necessary, if the mirrors have different versions for different architectures
ifeq (1,$(SBUILD_USE_INCOMING))
CROSS_SBUILD += --extra-repository="deb http://incoming.debian.org/debian-buildd buildd-unstable main"
SBUILD_REPO_EXPERIMENTAL += --extra-repository="deb http://incoming.debian.org/debian-buildd buildd-experimental main"
endif

crossbuild:
	$(CROSS_SBUILD) .

crossbuild-experimental:
	$(CROSS_SBUILD) $(SBUILD_REPO_EXPERIMENTAL) --build-dep-resolver=aspcud .

## cargo 0.22.0

=== debian/changelog ===
cargo (0.22.0-0ubuntu1) bionic; urgency=medium

  * Update to 0.22.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop debian/patches/fix-libc-build-on-s390x.patch - fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Oct 2017 17:09:43 +0100

cargo (0.21.1-1ubuntu1) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
      than that found in Ubuntu. Do this in debian/ rather than just not
      omitting it from the tarball so that we can share Debian's tarball
      + add debian/libgit2
      + update debian/control
      + update debian/rules
      + update debian/copyright
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules
    - Backport an upstream fix for the libc crate to hopefully fix the s390x
      build
      - add debian/patches/fix-libc-build-on-s390x.patch
      - update debian/patches/series
      - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Oct 2017 14:35:33 +0100

cargo (0.21.1-1) experimental; urgency=medium

  * debian/control:
    + Add myself as uploader for cargo package.
    + Mark package compliance with Debian Policy 4.1.0.
  * Mark tables.rs from unicode-normalization as unsuspicious.
  * Ignore sublime workspace file from hex crate.
  * debian/copyright:
    + Drop wildcards representing the old crates under vendor folder.
    + Add copyright information for newer crates under vendor
    + Add ARCHITECTURE.* to copyright.
  * debian/patches:
    + Rename patches to follow patch naming guidelines mentioned in
      debian/patches/README.
    + Add patch 1001 to fix spelling errors in cargo output messages.
    + Make patch 2003 DEP-3 compliant.
    + Adjust make_orig_multi.sh to renamed clean-cargo-deps.patch

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 23 Sep 2017 10:41:07 +0530

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
- Ximin Luo <infinity0@debian.org>
+ Ximin Luo <infinity0@debian.org>,
+ Vasudev Kamath <vasudev@copyninja.info>
 Priority: extra
-#  annotations are to support cross-compiling, see README.Debian of rustc
+# :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
 # TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
 # the non-native lines can be deleted after all versions in unstable are M-A: allowed
                cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
-               cargo    (>= 0.17.0) <!pkg.cargo.mkstage0>,
-               rustc    (>= 1.16),
+               cargo:native    (>= 0.17.0) <!pkg.cargo.mkstage0>,
+               rustc:native    (>= 1.16),
                libstd-rust-dev (>= 1.16),
                pkg-config,
                cmake,
@@ -27,7 +28,7 @@
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-	debian/scripts/prune-checksums vendor/libgit2-sys-*/
+	debian/scripts/prune-checksums vendor/libc-*/
 # XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
 	cp -a debian/libgit2 vendor/libgit2-sys-0.6.12/

## cargo 0.23.0

=== debian/changelog ===
cargo (0.23.0-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:51 +0000

cargo (0.23.0-0ubuntu1) bionic; urgency=medium

  * Update to 0.23.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_fix_spelling_errors.patch
    - update debian/patches/series
  * Don't strip libgit2 from the tarball
    - update debian/vendor-tarball-filter.txt
    - remove debian/libgit2
    - update debian/rules
    - update debian/copyright
  * Don't depend on mdbook when generating the documentation, as nothing in
    the archive provides it and it isn't needed
    - add debian/patches/dont-depend-on-mdbook.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Nov 2017 16:22:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: cargo
 Section: devel
-Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,

## cargo 0.24.0

=== debian/changelog ===
cargo (0.24.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 07 Feb 2018 18:12:25 +0000

cargo (0.24.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 27 Jan 2018 10:41:06 +0100

cargo (0.24.0-1~exp1) experimental; urgency=medium

  [upstream]
  * Supports uninstallation of multiple crates.
  * `cargo check` unit testing.
  * Install  a specific version using `cargo install --version`

  [ Vasudev Kamath ]
  * Update vendor-tarball-unsuspicious.txt vendor-tarball-filter.txt for
    new upstream release.
  * debian/control:
    + Mark package compliance with Debian Policy 4.1.3.
  * debian/patches:
    + Update patch 2001 to work with libgit2-sys-0.6.19.
    + Update 1002 patch to drop url crate specific hunk as its merged
      upstream.
    + Add patch 0001 to fix bad_git_dependency test failure.
  * debian/copyright:
    + Add new vendor crates to copyright.
    + Track rustfmt.toml in top level copyright section.
  * Add lintian-override for ignoring README from
    patch-file-present-but-not-mentioned-in-series tag.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 25 Jan 2018 14:57:43 +0530

cargo (0.23.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Mark package as compliant with Debian Policy 4.1.2.
    No change required to source.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 10 Dec 2017 15:33:55 +0530

cargo (0.23.0-1~exp1) experimental; urgency=medium

  * [upstream]
    + Cargo will now build multi file examples in subdirectories of the
      examples folder that have a main.rs file.
    + Changed [root] to [package] in Cargo.lock. Old format packages will
      continue to work and can be updated using cargo update.
    + Supports vendoring git repositories.
  * Refresh patch 2004 for new release.
  * Audit logo.svg file from termion crate.
  * debian/patches:
    + Drop patch 1001, its merged upstream.
    + Refresh patch 2002 with new upstream changes.
    + Refresh patch 2001 with newer libgit2-sys changes.
    + Add patch 2005 to prevent executing non-existing mdbook command
      during build.
    + Move part of typo fix for url crate to patch 1001 to 1002. url crate
      is not updated in new cargo release.
  * debian/copyright:
    + Remove copyright for gcc crate.
    + Add copyright information for cc, commoncrypto, crypto-hash,
      redox_syscall. redox_termios and termion crate.
    + Add CONTRIBUTING.md to top Files section.
    + Drop magnet-sys from copyright.


 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 05 Dec 2017 22:03:49 +0530

cargo (0.22.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Can now install multiple crates with cargo install.
    + cargo commands inside a virtual workspace will now implicitly pass
      --all.
    + Added [patch] section to Cargo.toml to handle prepublication
      dependencies RFC 1969.
    + include and exclude fields in Cargo.toml now accept gitignore like
      patterns.
    + Added --all-target option.
    + Using required dependencies as a feature is now deprecated and emits
      a warning.
  * Put upstream PR url for patch 1001.
  * Add conv crate file to unsuspicious files.
  * debian/patches:
    + Refresh patches 1001, 2002 and 2004 with new upstream release.
    + Fix typo in cargo search command and related tests.
  * debian/control:
    + Mark package compliance with Debian Policy 4.1.1.
    + Mark priority for package as optional from extra. Priority extra is
      deprecated from Debian Policy 4.0.1.
  * debian/copyright:
    + Add newly added vendor copyright information.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 29 Oct 2017 19:50:42 +0530

cargo (0.21.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Oct 2017 23:30:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Priority: extra
+Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
@@ -22,14 +21,13 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-# Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#               libgit2-dev (>= 0.25.1.0),
+               libgit2-dev (>= 0.25.1.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git

=== debian/rules ===
--- 
+++ 
@@ -37,16 +37,14 @@
 	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion
 
 override_dh_auto_configure:
-	cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
+	# cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
 ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
 	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
 else
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-	debian/scripts/prune-checksums vendor/libc-*/
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	cp -a debian/libgit2 vendor/libgit2-sys-0.6.12/
+	debian/scripts/prune-checksums vendor/libgit2-sys-*/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -90,8 +88,6 @@
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
 			$(CURDIR)/cargo-stage0
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	-$(RM) -rf vendor/libgit2-sys-0.6.12/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these

## cargo 0.25.0

=== crypto-hash-0.3.0/Makefile ===
CARGO ?= cargo
CARGO_BUILD_TEST = $(CARGO) test --no-run
KCOV ?= kcov
TEST_APP = debug/crypto_hash-*
WIN_TARGET = x86_64-pc-windows-gnu

build-test:
	$(CARGO_BUILD_TEST)

check-i686:
	PKG_CONFIG_LIBDIR=/usr/lib/i386-linux-gnu/pkgconfig \
		PKG_CONFIG_ALLOW_CROSS=1 \
		$(CARGO) test --target i686-unknown-linux-gnu --verbose

check-wine64:
	$(CARGO_BUILD_TEST) --target $(WIN_TARGET)
	WINEPREFIX=$(HOME)/.local/share/wineprefixes/wine64 wine64 target/$(WIN_TARGET)/$(TEST_APP)

cov: build-test
	$(KCOV) --exclude-pattern=/.multirust,test.rs target/cov target/$(TEST_APP)

debug: build-test
	rust-gdb target/$(TEST_APP)

fmt:
	$(CARGO) fmt

lint:
	$(CARGO) clippy --features=lint -- -Wclippy-pedantic

=== debian/changelog ===
cargo (0.25.0-3~deb9u1) stretch; urgency=medium

  * Backport to stretch for Firefox ESR60.
  * Embed libgit2 0.25.1.

 -- Julien Cristau <jcristau@mozilla.com>  Thu, 26 Jul 2018 14:35:40 +0200

cargo (0.25.0-3) unstable; urgency=medium

  [ Ximin Luo ]
  * Update Vcs-* fields to salsa

  [ Vasudev Kamath ]
  * Add patch to prevent incremental builds on sparc64.
    Closes: bug#895300, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 15 Apr 2018 12:28:29 +0530

cargo (0.25.0-2) unstable; urgency=medium

  [ Ximin Luo ]
  * Depend on rustc 1.24 or later.
  * Backport a patch to not require dev-dependencies when not needed.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 22 Mar 2018 20:08:17 +0530

cargo (0.25.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 09 Mar 2018 21:09:38 +0530

cargo (0.25.0-1~exp2) experimental; urgency=medium

  * Disable test running on powerpc and powerpcspe for now. Will be
    enabled once issue in test suites are fixed.
    Request from John Paul Adrian Glaubitz in IRC.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 25 Feb 2018 10:27:23 +0530

cargo (0.25.0-1~exp1) experimental; urgency=medium

  [upstream]
  * Added a workspace.default-members config that overrides implied --all
    in virtual workspaces.
  * Enable incremental by default on development builds.

  [ Vasudev Kamath ]
  * debian/vendor-tarball-filter.txt: Filter out git test data from
    libgit2-sys crate.
  * debian/vendor-tarball-unsusupiciousAudit unsuspicious files for 0.25.0
    release.
  * debian/make_orig_multi.sh: Make sure we take filter and unsuspiciaus
    texts from debian folder.
  * debian/patches:
    + Drop patch 0001 it is merged upstream.
    + Fix the typo in description of patch 2006.
  * Drop source/lintian-override. README under patches directory is no
    longer considered as a patch file by lintian.
  * debian/copyright:
    + Drop unused vendor crates copyright information.
    + Add new crates copyright information to copyright.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 24 Feb 2018 14:43:48 +0530

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
+               python-dulwich           <pkg.cargo.mkstage0>,
+               python-pytoml            <pkg.cargo.mkstage0>,
 # TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
 # the non-native lines can be deleted after all versions in unstable are M-A: allowed
                cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
@@ -21,21 +23,21 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.25.1.0),
+#               libgit2-dev (>= 0.25.1),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
+Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
+Vcs-Browser: https://salsa.debian.org/rust-team/cargo
 
 Package: cargo
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         rustc (>= 1.1),
+         rustc (>= 1.24),
          binutils,
          gcc | clang | c-compiler
 Suggests: cargo-doc, python3

=== debian/rules ===
--- 
+++ 
@@ -31,20 +31,47 @@
   SYSTEM_WORKAROUNDS += ulimit -s $$(expr $$(getconf PAGESIZE) / 1024 '*' 256 + 8192);
 endif
 
-HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)
+# Disable tests on powerpc and powerpcspe for now.
+# cbmuser requested this and will fix the errors later
+# TODO: once powerpc powerpcspe test failures are fixed drop this
+ifeq ($(DEB_HOST_ARCH), powerpc)
+	DEB_BUILD_PROFILES = nocheck
+endif
+
+ifeq ($(DEB_HOST_ARCH), powerpcspe)
+	DEB_BUILD_PROFILES = nocheck
+endif
 
 %:
 	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion
 
 override_dh_auto_configure:
 	# cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
-ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
-	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
+ifneq ($(filter pkg.cargo.mkstage0,$(DEB_BUILD_PROFILES)),)
+	# NOTE: this very likely doesn't work any more, see bootstrap.py for details
+	# Instead, you can try to bootstrap by setting PATH to a binary cargo
+	# downloaded from upstream; or by cross-compiling, see "build-cross" below
+	# Preserved in case someone wants to resurrect it later:
+	# Bootstrap cargo stage0
+	./debian/bootstrap.py \
+		--no-clean \
+		--no-clone \
+		--no-git \
+		--no-download \
+		--crate-index $(CURDIR)/vendor/index / \
+		--cargo-root $(CURDIR)/ \
+		--target-dir $(CURDIR)/deps \
+		--host=$(DEB_HOST_RUST_TYPE) \
+		--target=$(DEB_TARGET_RUST_TYPE)
+	# Workaround for https://github.com/rust-lang/cargo/issues/1423
+	ln -s `find $(CURDIR)/deps -name 'cargo-*' -type f -executable` $(CURDIR)/cargo-stage0
 else
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
 	debian/scripts/prune-checksums vendor/libgit2-sys-*/
+# TODO: rm after the freeze
+	cp -a debian/libgit2 vendor/libgit2-sys-0.6.19/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -58,21 +85,10 @@
 	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
 endif
 
-RUN_TESTS = \
-	if $(1); then \
-	  : ; \
-	elif $(DEB_HOST_ARCH) != "s390x"; then \
-	  false; \
-	else \
-	  echo "======================================================"; \
-	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
-	  echo "======================================================"; \
-	fi
-
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS))
+	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS)
 endif
 endif
 
@@ -87,7 +103,10 @@
 			$(CURDIR)/config.mk \
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
+			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
+# TODO: rm after the freeze
+	-$(RM) -rf vendor/libgit2-sys-0.6.6/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these

## cargo 0.26.0

=== docopt-0.8.3/Makefile ===
all:
	@echo Nothing to do

docs: $(LIB_FILES)
	cargo doc
	# WTF is rustdoc doing?
	in-dir ./target/doc fix-perms
	rscp ./target/doc/* gopher:~/www/burntsushi.net/rustdoc/

src/test/testcases.rs: src/test/testcases.docopt scripts/mk-testcases
	./scripts/mk-testcases ./src/test/testcases.docopt > ./src/test/testcases.rs

ctags:
	ctags --recurse --options=ctags.rust --languages=Rust

push:
	git push github master
	git push origin master

=== debian/changelog ===
cargo (0.26.0-0ubuntu2~17.10.1) artful; urgency=medium

  * Backport 0.26.0 to artful

  * Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
    than that found in Ubuntu. Do this in debian/ rather than just not
    omitting it from the tarball so that we can share Debian's tarball
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Apr 2018 16:25:48 +0100

cargo (0.26.0-0ubuntu2) bionic; urgency=medium

  * Fix missing quotes in debian/rules, which resulted in all test failures
    being ignored
  * Update a test to not clone the real index, as this doesn't work in
    Launchpad builds
    - add debian/patches/use-local-index-in-tests.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Apr 2018 15:38:39 +0100

cargo (0.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (0.26.0)

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are no longer needed or fixed upstream
    - remove debian/patches/2003_local-jquery.patch
    - remove debian/patches/1002_fix_typo_cargo_search.patch
    - remove debian/patches/2005_dont_run_mdbook.patch
    - remove debian/patches/2006_disable_wasm32_tests.patch
    - update debian/patches/series
  * Drop an extra step which is no longer needed when building the
    documentation now
    - update debian/rules
  * Drop the unneeded dependency on libjs-jquery from cargo-doc
    - update debian/control
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Apr 2018 18:52:29 +0100

cargo (0.25.0-1ubuntu1) bionic; urgency=medium

  [ Rico Tzschichholz ]
  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Mar 2018 18:02:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: cargo
 Section: devel
-Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -9,8 +10,6 @@
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
-               python-dulwich           <pkg.cargo.mkstage0>,
-               python-pytoml            <pkg.cargo.mkstage0>,
 # TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
 # the non-native lines can be deleted after all versions in unstable are M-A: allowed
                cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
@@ -23,21 +22,22 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-#               libgit2-dev (>= 0.25.1),
+# Avoid a dependency on a libgit version that isn't in Ubuntu yet
+#               libgit2-dev (>= 0.25.1.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
+Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
 
 Package: cargo
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         rustc (>= 1.24),
+         rustc (>= 1.1),
          binutils,
          gcc | clang | c-compiler
 Suggests: cargo-doc, python3
@@ -59,7 +59,7 @@
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}
 Description: Rust package manager, documentation
  Cargo is a tool that allows Rust projects to declare their various
  dependencies, and ensure that you'll always get a repeatable build.

=== debian/rules ===
--- 
+++ 
@@ -42,35 +42,20 @@
 	DEB_BUILD_PROFILES = nocheck
 endif
 
+HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)
+
 %:
 	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion
 
 override_dh_auto_configure:
 	# cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
-ifneq ($(filter pkg.cargo.mkstage0,$(DEB_BUILD_PROFILES)),)
-	# NOTE: this very likely doesn't work any more, see bootstrap.py for details
-	# Instead, you can try to bootstrap by setting PATH to a binary cargo
-	# downloaded from upstream; or by cross-compiling, see "build-cross" below
-	# Preserved in case someone wants to resurrect it later:
-	# Bootstrap cargo stage0
-	./debian/bootstrap.py \
-		--no-clean \
-		--no-clone \
-		--no-git \
-		--no-download \
-		--crate-index $(CURDIR)/vendor/index / \
-		--cargo-root $(CURDIR)/ \
-		--target-dir $(CURDIR)/deps \
-		--host=$(DEB_HOST_RUST_TYPE) \
-		--target=$(DEB_TARGET_RUST_TYPE)
-	# Workaround for https://github.com/rust-lang/cargo/issues/1423
-	ln -s `find $(CURDIR)/deps -name 'cargo-*' -type f -executable` $(CURDIR)/cargo-stage0
+ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
+	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
 else
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-	debian/scripts/prune-checksums vendor/libgit2-sys-*/
-# TODO: rm after the freeze
+# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
 	cp -a debian/libgit2 vendor/libgit2-sys-0.6.19/
 
 override_dh_auto_build-arch:
@@ -79,16 +64,23 @@
 override_dh_auto_build-indep:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	$(CARGO) doc $(CARGOFLAGS)
-	# Extra instructions from README.md, unfortunately not done by "cargo doc"
-	sh src/ci/dox.sh
-	# Post-processing for Debian
-	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
 endif
+
+RUN_TESTS = \
+	if $(1); then \
+	  : ; \
+	elif "$(DEB_HOST_ARCH)" != "s390x"; then \
+	  false; \
+	else \
+	  echo "======================================================"; \
+	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
+	  echo "======================================================"; \
+	fi
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS)
+	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS))
 endif
 endif
 
@@ -103,10 +95,9 @@
 			$(CURDIR)/config.mk \
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
-			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
-# TODO: rm after the freeze
-	-$(RM) -rf vendor/libgit2-sys-0.6.6/libgit2
+# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
+	-$(RM) -rf vendor/libgit2-sys-0.6.12/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these

## cargo 0.27.0

=== debian/changelog ===
cargo (0.27.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (0.27.0)
  * Refresh patches
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2002_disable-net-tests.patch
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_PR5012.patch
    - remove debian/patches/use-local-index-in-tests.patch
    - update debian/patches/series

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      + update debian/control
      + update debian/rules
    - Update a test to not clone the real index, as this doesn't work in
      Launchpad builds
      + add debian/patches/use-local-index-in-tests.patch
      + update debian/patches/2002_disable-net-tests.patch to not disable the
        test
      + update debian/patches/series
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules
    - Add "#[allow(dead_code)]" to commented out test functions so that
      compilation doesn't fail
      + update debian/patches/2002_disable-net-tests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 May 2018 22:20:39 +0100

cargo (0.26.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 01 May 2018 13:02:05 +0530

cargo (0.26.0-1~exp1) experimental; urgency=medium

  [upstream]
  * cargo new now defaults to create binary crate instead of library
    crate.
  * cargo new will no longer name crates with name starting with rust- or
    ending with -rs.
  * cargo doc is faster as it uses cargo check instead of full rebuild.

  [Vasudev Kamath]
  * Refresh the patch 2004 against newer Cargo.toml
  * Mark package compliance with Debian Policy 4.1.4
  * debian/patches:
    + Drop patch 2003 and 2005, the doc should be built from source using
      mdbook.
    + Drop patch 2006, the wasm32 related test seems to be dropped
      upstream.
    + Drop patch 1002, merged upstream.
    + Add tests/generate_lock_file.rs to patch 2002 to disable
      no_index_update test, this tries to access network.
    + Refresh patch 1001 with new upstream release.
  * debian/rules: disable execution of src/ci/dox.sh, this script is no
    longer present in new release.
  * debian/copyright:
    + Add copyright for humantime crate.
    + Add copyright for lazycell crate.
    + Add copyright for quick-error crate
    + Add copyright for proc-macro2 crate.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 21 Apr 2018 20:59:39 +0530

=== debian/control ===
--- 
+++ 
@@ -22,22 +22,21 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-# Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#               libgit2-dev (>= 0.25.1.0),
+               libgit2-dev (>= 0.25.1.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rust/cargo.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
+Vcs-Browser: https://salsa.debian.org/rust-team/cargo
 
 Package: cargo
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         rustc (>= 1.1),
+         rustc (>= 1.24),
          binutils,
          gcc | clang | c-compiler
 Suggests: cargo-doc, python3

=== debian/rules ===
--- 
+++ 
@@ -55,8 +55,7 @@
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	cp -a debian/libgit2 vendor/libgit2-sys-0.6.19/
+	debian/scripts/prune-checksums vendor/libgit2-sys-*/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -64,12 +63,16 @@
 override_dh_auto_build-indep:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	$(CARGO) doc $(CARGOFLAGS)
+	# Extra instructions from README.md, unfortunately not done by "cargo doc"
+	# sh src/ci/dox.sh
+	# Post-processing for Debian
+	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
 endif
 
 RUN_TESTS = \
 	if $(1); then \
 	  : ; \
-	elif "$(DEB_HOST_ARCH)" != "s390x"; then \
+	elif [ $(DEB_HOST_ARCH) != "s390x" ]; then \
 	  false; \
 	else \
 	  echo "======================================================"; \
@@ -95,9 +98,8 @@
 			$(CURDIR)/config.mk \
 			$(CURDIR)/config.stamp \
 			$(CURDIR)/Makefile \
+			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	-$(RM) -rf vendor/libgit2-sys-0.6.12/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these

## cargo 0.28.0

=== debian/changelog ===
cargo (0.28.0-0ubuntu1) cosmic; urgency=medium

  * Update to 0.28.0
  * Refresh patches
    - update debian/patches/2007_sparc64_disable_incremental_build.patch
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2008_support-cross-compile-install.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jul 2018 19:20:26 +0100

cargo (0.27.0-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      + update debian/control
      + update debian/rules
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      + update debian/control
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      + update debian/patches/2002_disable-net-tests.patch
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jun 2018 17:33:32 +0100

cargo (0.27.0-2) unstable; urgency=medium

  * Support cross-compile install (upstream PR #5614).

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Jun 2018 22:35:30 -0700

cargo (0.27.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jun 2018 20:42:13 +0530

cargo (0.27.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now output path to custom commands when -v is passed with
    --list.
  * Cargo binary version is now same as the Rust version.
  * Cargo.lock files are now included in published crates.

  [ Vasudev Kamath ]
  * Update  patch 2004 for the new release.
  * Add files from clap and vec_map to unsuspicious list.
  * debian/patches:
    + Update path to libgit2-sys in patch 2001.
    + Adjust file name and paths to test files to be patched in patch
      2002.
    + Drop all unused imports and comment out functions not just drop
      #[test] in patch 2002.
    + Drop patch 1001 as its now part of new cargo release.
    + Refresh patch 2007.
  * debian/copyright:
    + Update copyright information for new vendored crates.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Jun 2018 15:10:38 +0530

cargo (0.27.0-0ubuntu2) cosmic; urgency=medium

  * Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
    checkouts now, and it no longer builds against 0.25.1.0
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 May 2018 14:38:59 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.25.1.0),
+               libgit2-dev (>= 0.27.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # For cross-compiling; perhaps we should add this to dh-cargo or debcargo
 export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
 export PKG_CONFIG_ALLOW_CROSS = 1
+# Needed because of https://github.com/rust-lang/cargo/issues/4133
 RUSTFLAGS += -C linker=$(DEB_HOST_GNU_TYPE)-gcc
 # TODO: we cannot enable this until dh_shlibdeps works correctly; atm we get:
 # dpkg-shlibdeps: warning: can't extract name and version from library name 'libstd-XXXXXXXX.so'
